#include <stdio.h>

int main() {
    int n, i, min_index, min_value;
    scanf("%d", &n);
    int arr[999];
    for (i = 0; i < n; i++) {
        scanf("%d", &arr[i]);
    }
    min_value = arr[0];
    min_index = 0;
    for (i = 1; i < n; i++) {
        if (arr[i] < min_value) {
            min_value = arr[i];
            min_index = i;
        }
    }
    printf("%d\n%d", min_value,min_index);
   
    return 0;
}
